Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.gui
Class GUIConstants

    java.lang.Object
      org.basex.gui.GUIConstants

    public final class GUIConstants

extends java.lang.Object

GUI Constants used in different views.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Nested Class Summary
`static class` | `GUIConstants.FILL` Background fill options.

Field Summary
`static java.awt.Image` | `ARROWDOWN` Down arrow.
`static java.awt.Image` | `ARROWDOWNIN` Down arrow.
`static java.awt.Image` | `ARROWUP` Up arrow.
`static java.awt.Image` | `ARROWUPIN` Up arrow.
`static java.awt.Font` | `bfont` Bold Font.
`static int[]` | `bwidth` Bold character widths.
`static java.awt.Color` | `color1` Bright GUI color.
`static java.awt.Color` | `color2` Second bright GUI color.
`static java.awt.Color` | `color3` Middle color.
`static java.awt.Color` | `color4` Middle color.
`static java.awt.Color` | `color5` Middle color.
`static java.awt.Color` | `color6` Dark color.
`static java.awt.Color` | `COLORBUTTON` Button color.
`static java.awt.Color` | `COLORERROR` Error color.
`static java.awt.Color` | `colormark1` Mark color.
`static java.awt.Color` | `colormark2` Second mark color.
`static java.awt.Color` | `colormark3` Third mark color.
`static java.awt.Color` | `colormark4` Fourth mark color.
`static java.awt.Color` | `colormark5` Fifth mark color.
`static java.awt.Color` | `COLORQUOTE` Quote Color.
`static java.awt.Color[]` | `COLORS` Cached treemap colors.
`static java.awt.Cursor` | `CURSORARROW` Arrow cursor.
`static java.awt.Cursor` | `CURSORHAND` Hand cursor.
`static java.awt.Cursor` | `CURSORMOVEH` Left/Right arrow cursor.
`static java.awt.Cursor` | `CURSORMOVEV` Move cursor.
`static java.awt.Cursor` | `CURSORTEXT` Text cursor.
`static java.awt.Cursor` | `CURSORWAIT` Wait cursor.
`static java.awt.Font` | `font` Font.
`static int[]` | `fwidth` Character widths.
`static java.awt.Font` | `lfont` Large font.
`static int[]` | `lwidth` Character large character widths.
`static java.awt.Font` | `mfont` Monospace font.
`static int[]` | `mfwidth` Monospace character widths.

Method Summary
`static int[]` | `fontWidths(java.awt.Font f)` Returns the character widths for the current font.
`static void` | `init()` Initializes colors.
`static void` | `initFonts()` Initializes fonts.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ARROWDOWN

    public static final java.awt.Image ARROWDOWN

  Down arrow.

### ARROWDOWNIN

    public static final java.awt.Image ARROWDOWNIN

  Down arrow.

### ARROWUP

    public static final java.awt.Image ARROWUP

  Up arrow.

### ARROWUPIN

    public static final java.awt.Image ARROWUPIN

  Up arrow.

### bfont

    public static java.awt.Font bfont

  Bold Font.

### bwidth

    public static int[] bwidth

  Bold character widths.

### color1

    public static java.awt.Color color1

  Bright GUI color.

### color2

    public static java.awt.Color color2

  Second bright GUI color.

### color3

    public static java.awt.Color color3

  Middle color.

### color4

    public static java.awt.Color color4

  Middle color.

### color5

    public static java.awt.Color color5

  Middle color.

### color6

    public static java.awt.Color color6

  Dark color.

### COLORBUTTON

    public static final java.awt.Color COLORBUTTON

  Button color.

### COLORERROR

    public static final java.awt.Color COLORERROR

  Error color.

### colormark1

    public static java.awt.Color colormark1

  Mark color.

### colormark2

    public static java.awt.Color colormark2

  Second mark color.

### colormark3

    public static java.awt.Color colormark3

  Third mark color.

### colormark4

    public static java.awt.Color colormark4

  Fourth mark color.

### colormark5

    public static java.awt.Color colormark5

  Fifth mark color.

### COLORQUOTE

    public static final java.awt.Color COLORQUOTE

  Quote Color.

### COLORS

    public static final java.awt.Color[] COLORS

  Cached treemap colors.

### CURSORARROW

    public static final java.awt.Cursor CURSORARROW

  Arrow cursor.

### CURSORHAND

    public static final java.awt.Cursor CURSORHAND

  Hand cursor.

### CURSORMOVEH

    public static final java.awt.Cursor CURSORMOVEH

  Left/Right arrow cursor.

### CURSORMOVEV

    public static final java.awt.Cursor CURSORMOVEV

  Move cursor.

### CURSORTEXT

    public static final java.awt.Cursor CURSORTEXT

  Text cursor.

### CURSORWAIT

    public static final java.awt.Cursor CURSORWAIT

  Wait cursor.

### font

    public static java.awt.Font font

  Font.

### fwidth

    public static int[] fwidth

  Character widths.

### lfont

    public static java.awt.Font lfont

  Large font.

### lwidth

    public static int[] lwidth

  Character large character widths.

### mfont

    public static java.awt.Font mfont

  Monospace font.

### mfwidth

    public static int[] mfwidth

  Monospace character widths.

Method Detail

### fontWidths

    public static int[] fontWidths(java.awt.Font f)

  Returns the character widths for the current font.

  Parameters:
    `f` - font reference
  Returns:
    character widths

### init

    public static void init()

  Initializes colors.

### initFonts

    public static void initFonts()

  Initializes fonts.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD